HOWTO : Install latest HPLIP on LMDE

Write tutorials and howtos in here
More tutorials here http://community.linuxmint.com/tutorial/welcome
Forum rules
Do not start a support topic here please, Before you post please read this

HOWTO : Install latest HPLIP on LMDE

Postby tipaul on Mon Jan 24, 2011 11:12 pm

What is HPLIP (from HPLIP website) :
Chances are, your Linux system already has the HPLIP software installed. That's because all major Linux distributions regularly pick up the HPLIP software and include it with their distribution installation. However, if it is not installed or you need to upgrade to a newer HPLIP version to support your printer, you've come to the right place.

Installation for Linux Mint Debian Edition is as follow:

1) Download manual install package from HPLIP website :
http://hplipopensource.com

2) Install installer's bad dependencies :
Code: Select all
 sudo apt-get install --force-yes -y cups-bsd
sudo apt-get install --force-yes -y libcupsimage2-dev


3) Execute the install package
Code: Select all
./hplip-3.11.1.run

Note:
- Execute under normal user account (no sudo is necessary)
- if not executable, you must set it with following command :
Code: Select all
chmod +x hplip-3.11.1.run


4) When asked about your distribution, select Debian Sid (testing)

5) Follow the normal installer procedure...
Last edited by tipaul on Tue Jan 25, 2011 3:04 pm, edited 2 times in total.
tipaul
Level 1
Level 1
 
Posts: 11
Joined: Fri Feb 23, 2007 1:37 pm

Linux Mint is funded by ads and donations.
 

Re: HOWTO : Install HPLIP on LMDE

Postby kwisher on Mon Jan 24, 2011 11:52 pm

I just checked the package manager and HPLIP 3.10.6-1.1 is available for installation. Is there a specific reason to not use this package versus the one from HP as you describe?
The instructions suggested Windows XP or better, so I installed Linux :)
User avatar
kwisher
Level 5
Level 5
 
Posts: 635
Joined: Wed Mar 05, 2008 12:54 pm
Location: Greentown, Indiana USA

Re: HOWTO : Install HPLIP on LMDE

Postby tipaul on Tue Jan 25, 2011 7:45 am

Because 3.10.6 does not support newer printers (like my OfficeJet 6500A e710a).
Other than that, it's personnal taste of running latest software :roll: and having some corrections depending of your printer model.
See official changes log :
http://hplipopensource.com/hplip-web/release_notes.html
tipaul
Level 1
Level 1
 
Posts: 11
Joined: Fri Feb 23, 2007 1:37 pm

Re: HOWTO : Install latest HPLIP on LMDE

Postby dungbeetle on Sat Feb 05, 2011 3:07 pm

Hey tipaul, thanks for this. Also useful if 3.10.6-2, (which is currently in squeeze on the release weekend) fails to install the binary plugin that is required for, in my case, an oldish HP2600n laserjet. It failed even on the correct downloaded plugin too. I was agonising about whether I should install the package from Experimental until I came across this thread, and you solved my problem. :mrgreen:
Cheers, Mike
Sony Vaio VGN-FW31E
User avatar
dungbeetle
Level 1
Level 1
 
Posts: 40
Joined: Mon Dec 03, 2007 2:10 pm
Location: Lincolnshire, England

Re: HOWTO : Install latest HPLIP on LMDE

Postby Dave68 on Wed Feb 16, 2011 1:45 pm

I tried the HPLIP 3.11.1 when I recently purchased my Deskjet 3050. I kept running into Missing Dependencies, and several of them I had trouble chasing down. I finally gave in, and took it back to Wally World, and purchased the Deskjet 2050, which relied on the 3.10.6 already in place.

Works like a champ, but it would have been nice to have the Wireless 3050 in place.

Thanks,
Dave
Linux User: 528038
Primary PC: Version: LMDE (201101), 32 Bit.
Alternate 1: Version: Peppermint One OS, 32 Bit.
Laptop: Version: Julia Main (10), AMD 64
Image
User avatar
Dave68
Level 4
Level 4
 
Posts: 298
Joined: Wed Jun 16, 2010 1:15 pm
Location: Bolivar, Missouri

Re: HOWTO : Install latest HPLIP on LMDE

Postby AK Dave on Wed Feb 16, 2011 6:59 pm

I wouldn't want wireless in my printer, but I do want my printer in my wireless network. I use an old linksys -G router running dd-wrt to bridge in a network-capable HP 2750 printer. Wireless, check.
User avatar
AK Dave
Level 6
Level 6
 
Posts: 1042
Joined: Wed May 14, 2008 3:39 pm
Location: Anchorage, AK USA

Re: HOWTO : Install latest HPLIP on LMDE

Postby malligt on Thu Feb 17, 2011 8:31 am

Great post! Thanks for the new information.

Last weekend I tried to connect (via bluetooth) my HP 450 series (mobile printer) to LMDE.
After intensive google searches, the only info I could find resulted in that I could only connect for the "current session".

I promise that it did connect via usb cable, but the bluetooth connection was a nightmare.

I eventually just gave up, and connected it to a ubuntu 10.10 laptop...it took about one minute to accomplish!! instead of a whole afternoon pulling my hair out with LMDE.

The point of my little story here is:

Do you think the new HP lib you suggest here would help me in the HP 450 bluetooth connection set-up? Or, where do you think I could get direction for it?

Thanks.
malligt
Level 4
Level 4
 
Posts: 253
Joined: Sat Sep 11, 2010 12:58 pm

Re: HOWTO : Install latest HPLIP on LMDE

Postby Dave68 on Thu Feb 17, 2011 8:57 am

AK Dave wrote:....I do want my printer in my wireless network.


I've got it in my wireless network. Samba took care of that well enough, and since Daughter is running a Cisco Wireless Card in her Desktop, my Linksys accomodated her well enough. LOL

Thanks,
Dave
Linux User: 528038
Primary PC: Version: LMDE (201101), 32 Bit.
Alternate 1: Version: Peppermint One OS, 32 Bit.
Laptop: Version: Julia Main (10), AMD 64
Image
User avatar
Dave68
Level 4
Level 4
 
Posts: 298
Joined: Wed Jun 16, 2010 1:15 pm
Location: Bolivar, Missouri

Re: HOWTO : Install latest HPLIP on LMDE

Postby gadzooks on Sun Mar 31, 2013 11:10 am

this should be MANDATORY for ALL HP printers, a BUG which prevents normal install has been found. Using this we can resolve the issue. For some odd reason, the setup hangs otherwise on printer setup.(NADIA LMDE)
gadzooks
Level 1
Level 1
 
Posts: 1
Joined: Sun Mar 31, 2013 11:05 am

Re: HOWTO : Install latest HPLIP on LMDE

Postby matthewkuhl on Wed Jun 12, 2013 2:33 pm

Still troublesome on Olivia, even with the automatic installer.
matthewkuhl
Level 1
Level 1
 
Posts: 2
Joined: Sun May 26, 2013 12:12 pm
Location: San Diego, CA

Re: HOWTO : Install latest HPLIP on LMDE

Postby maxdule on Wed Jun 12, 2013 4:09 pm

Followed the instructions from the first post and worked out for me. Thank you very much. :)

P.S. I was actually quite disappointed (and still am) by the fact that something crucial like printing does not work (201303 version) and that the problem is there for months.
maxdule
Level 1
Level 1
 
Posts: 13
Joined: Mon May 30, 2011 5:36 pm

Linux Mint is funded by ads and donations.
 

Return to Tutorials / Howtos

Who is online

Users browsing this forum: No registered users and 2 guests